Upgrade Cluster

Upgrade Cluster

Api to upgrade K8s version of Cluster for Telco Cloud Automation

Request
URI
PUT
https://{api_host}/hybridity/api//infra/k8s/clusters/{id}/k8sUpgrade
COPY
Path Parameters
string
id
Required

id


Request Body

upgrade kubernetes version

clusterUpgradeRequest of type(s) application/json
Required
{
    "kubernetesVersion": "string",
    "vmTemplate": "string",
    "skipValidation": false
}
string
kubernetesVersion
Required

kubernetesVersion

string
vmTemplate
Required

vmTemplate

boolean
skipValidation
Optional

Set to true if validation phase is to be skipped.Set to false otherwise.

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully triggered update of cluster password

Returns clusterAPIResponse of type(s) application/json
{
    "operationId": "operationId",
    "id": "id"
}
string
id
Optional

The id of the cluster.

string
operationId
Optional

The operation id for tracking the progress of the operation being performed on the cluster.


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "code",
            "message": "message"
        }
    ]
}
array of error
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "code",
            "message": "message"
        }
    ]
}
array of error
errors
Optional

errors